package weaver.cronjob.mingfeng;

import weaver.integration.logging.Logger;
import weaver.integration.logging.LoggerFactory;
import weaver.interfaces.schedule.BaseCronJob;


/**
 * 定时随机码
 */
public class SuijimaDingshiCron extends BaseCronJob {
    private final Logger log = LoggerFactory.getLogger(SuijimaDingshiCron.class);

    @Override
    public void execute() {
        log.error("随机码定时任务开启-------");
        new Thread( ()->{
            SuijimaDingshiCronService suijimaDingshiCronService = new SuijimaDingshiCronService();
            suijimaDingshiCronService.execute();
        }).start();
        log.error("随机码定时结束-------");
    }
}
